Bug 952977 - pmstat fails to start
Summary: pmstat fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcp
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-17 05:51 UTC by Marko Myllynen
Modified: 2013-05-07 18:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 03:44:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Marko Myllynen 2013-04-17 05:51:37 UTC
Description of problem:
localhost:~# pmstat
Error Parsing ASCII PMNS: Cannot open "/var/lib/pcp/pmns/root"
pmstat: pmLookupName: PMNS not accessible
localhost:~# ln -s /var/lib/pcp/pmns/root_linux /var/lib/pcp/pmns/root
localhost:~# pmstat                                                   
@ Wed Apr 17 08:49:52 2013
 loadavg                      memory      swap        io    system         cpu
   1 min   swpd   free   buff  cache   pi   po   bi   bo   in   cs  us  sy  id
^C
localhost:~# 

Version-Release number of selected component (if applicable):
pcp-3.6.10-2.el6.x86_64

Comment 1 Nathan Scott 2013-04-17 06:40:25 UTC
Hi Marko,

I think I know whats caused this - can you confirm that pmcd was not running and that a "service pmcd start" has not been issued on this machine?  That file (/var/lib/pcp/pmns/root) should have been created by that process - but thats not done by default anymore.  If this is the root cause, we'll probably need to do the namespace rebuild step via rpm rather than via the daemon start script.

thanks!

Comment 2 Marko Myllynen 2013-04-17 06:44:05 UTC
Hi Nathan,

correct - pmcd was never started on this machine.

Thanks.

Comment 3 Mark Goodwin 2013-04-19 05:05:53 UTC
Even with the pmns in place, if pmcd has never been started (or is not running for whatever reason) then pmstat will still fail to run - and so this BZ will not actually be fixed. Perhaps it should revert to pmstat -L if no -h argument was supplied and pmNewContext fails with ECONREFUSED ... ?

Comment 4 Mark Goodwin 2013-04-19 05:14:36 UTC
nevermind, looks liek it already does what I proposed in the previous update :

# service pmcd stop
Waiting for pmcd to terminate ...
# pmstat
@ Fri Apr 19 15:13:30 2013
 loadavg                      memory      swap        io    system         cpu
   1 min   swpd   free   buff  cache   pi   po   bi   bo   in   cs  us  sy  id
    0.03      0 10231m 210988  1156m    0    0    0    0   60   19   0   0 100

Comment 5 Fedora Update System 2013-04-19 08:24:10 UTC
pcp-3.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.fc19

Comment 6 Fedora Update System 2013-04-19 08:26:09 UTC
pcp-3.7.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.fc18

Comment 7 Fedora Update System 2013-04-19 08:27:31 UTC
pcp-3.7.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.fc17

Comment 8 Fedora Update System 2013-04-19 08:28:45 UTC
pcp-3.7.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.el6

Comment 9 Fedora Update System 2013-04-19 08:29:41 UTC
pcp-3.7.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.el5

Comment 10 Fedora Update System 2013-04-19 16:50:46 UTC
Package pcp-3.7.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.7.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6095/pcp-3.7.2-1.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-04-23 03:44:30 UTC
pcp-3.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-04-29 02:52:31 UTC
pcp-3.7.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-04-29 02:56:11 UTC
pcp-3.7.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-05-07 18:06:48 UTC
pcp-3.7.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-05-07 18:11:59 UTC
pcp-3.7.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.